# link-validator

Custom image for linkcheck

[![Build Status](https://img.shields.io/drone/build/docker/link-validator?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/docker/link-validator)
[![Docker Hub](https://img.shields.io/badge/dockerhub-latest-blue.svg?logo=docker&logoColor=white)](https://hub.docker.com/r/thegeeklab/link-validator)
[![Quay.io](https://img.shields.io/badge/quay-latest-blue.svg?logo=docker&logoColor=white)](https://quay.io/repository/thegeeklab/link-validator)
[![Source: Gitea](https://img.shields.io/badge/source-gitea-blue.svg?logo=gitea&logoColor=white)](https://gitea.rknet.org/docker/link-validator)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/docker/link-validator/src/branch/main/LICENSE)

Custom wrapper Docker image for [linkcheck](https://github.com/filiph/linkcheck/) optimized for CI.

## Usage

```Shell
docker run -v $(pwd)/public:/drone/src link-validator

# or pass arguments to linkcheck
# ... but DO NOT set the server url! This will be done automatically. See environment variables.
docker run -v $(pwd)/public:/drone/src link-validator -e
```

## Environment variables

```Shell
LINK_VALIDATOR_BASE_DIR=/drone/src
LINK_VALIDATOR_SERVER_PORT=8000
```

## Build

```Shell
docker build -t link-validator:latest .
```

## License

This project is licensed under the MIT License - see the [LICENSE](https://gitea.rknet.org/docker/link-validator/src/branch/main/LICENSE) file for details.
